/* blabble.qml
 *
 * Copyright 2013-2014 Jamie Strandboge <jamie@ubuntu.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import "ui"
import "components"

MainView {
    id: mainView

    // objectName for functional testing purposes (autopilot-qt5)
    objectName: "mainView"

    // Note! applicationName needs to match the "name" field of the click manifest
    applicationName: "com.ubuntu.developer.jdstrand.blabble"

    /*
     This property enables the application to change orientation
     when the device is rotated. The default is false.
    */
    //automaticOrientation: true

    width: units.gu(50)
    height: units.gu(75)

    Storage {
        id: myStorage

        Component.onCompleted: loadDictionary()
        onDictInitialized: game.createGameBoard()
    }

    property alias storage: myStorage
    property alias game: myGame
    property alias gameState: myGame.gameState

    headerColor: storage.getSetting("theme", "headerColor")
    backgroundColor: storage.getSetting("theme", "backgroundColor")
    footerColor: storage.getSetting("theme", "footerColor")

    Tabs {
        id: tabs

        GameTab {
            id: myGame
            objectName: "gameTab"
        }

        SettingsTab {
            objectName: "settingsTab"
        }

        AboutTab {
            objectName: "aboutTab"
        }
    }
}
