/* GameBoard.qml
 *
 * Copyright 2013-2014 Jamie Strandboge <jamie@ubuntu.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.Popups 0.1
import "../components"
import "../components/util.js" as Util

Item {
    anchors.fill: parent

    // access the GameBoard via these
    function initializeBoard() {
        gameBoardGrid.initializeBoard()
    }

    function newGame() {
        gameBoardGrid.newGame()
    }

    function updateColor() {
        gameBoardGrid.updateColor()
    }

    // the object holding the game
    GameBoardGrid {
        id: gameBoardGrid
        anchors.fill: parent
        letters: null
    }
}
